language: cn
model_unique_abbr: csu_workflow_mode3_multiple_liner_predication
version: 1.0
identification:
  docker_image_name: csu_workflow_mode3_multiple_liner_predication:2.0
  model_name: 多区域目标—多元线性回归预测
  semantic: mode3_multiple_liner_predication
  description: 该模型实现了多区域目标的多元线性回归预测，通过与对应目标变量的强相关变量数据以及聚类分区结果进行多元线性回归预测。
  category_application: 预测型
  category_data:
  - 矢量点数据
  keywords:
  - 多区域目标
  - 多元线性回归
parameter_info:
  parameters:
  - arg_name: iVariables
    is_single_en_dash: false
    param_type: input_data
    name: 各分区中的最优自变量和权重结果
    description: 各分区中的最优自变量和权重结果文件，文件格式json。
    data_type: json
    data_semantic: iVariables

  - arg_name: air_quality
    is_single_en_dash: false
    param_type: param
    name: 待预测的目标变量
    description: 待预测的目标变量，例如：target。
    data_type: str
    data_semantic: air quatity index that needs to be predicted
    specification:
      default: PM2.5

  - arg_name: geo_coord
    is_single_en_dash: false
    param_type: param
    name: 站点或者位置的地理坐标
    description: 选取待预测数据集中气象站点或者位置的地理坐标列名，使用英文逗号隔开，填写示例： x,y
    data_type: str
    data_semantic: geo_coord
    specification:
      default: x,y

  - arg_name: cluster_result
    is_single_en_dash: false
    param_type: input_data
    name: 聚类分区结果文件
    description: 区域聚类结果文件，文件格式csv。
    data_type: csv
    data_semantic: cluster_result

  - arg_name: pred_data_path
    is_single_en_dash: false
    param_type: input_data
    name: 待预测的目标变量数据集
    description: 输入待预测的目标变量数据集的文件路径，文件中需包含x、y坐标列、相关的指标列。格式为csv格式。
    data_type: csv
    data_semantic: pred_data_path

  - arg_name: output_pred
    is_single_en_dash: false
    param_type: output_data
    name: 目标变量预测结果输出文件
    description: 输出目标变量预测结果的文件路径，格式为csv格式。
    data_type: csv
    data_semantic: output_pred

application:
  domain: 多区域目标—多元线性回归预测
  objective: 通过与对应目标变量的强相关变量数据以及聚类分区进行多元线性回归预测。
  dimension:
  - 多维
  mechanism: 使用多元线性回归模型进行预测
operation:
  usage: 该算法需要六个参数，变量输入，待预测目标变量，站点或者位置的地理坐标，聚类分区结果文件，待预测的目标变量数据集，目标变量预测结果输出文件。
  exec_example:
  - docker run -v $(pwd):/data mode3_multiple_liner_predication:1.0 --iVariables /data/iVariables.json --air_quality PM2.5 --geo_coord x y --cluster_result /data/cluster_result.csv --pred_data_path /data/data.csv --output_pred /data/pred_result.csv
  output_display:
  - 针对预测结果，可以绘制预测值与实际值的对比图。
  license:
  - BSD
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
  dependencies:
  - name: pandas
    version: 1.3.3
  - name: numpy
    version: 1.21.2
  - name: scikit-learn
    version: 0.24.2
source:
  maintainer: Yixun Liu
  organization: Central South University
  contact: 1907269689@qq.com
  integrated_softwares:
  - name: pandas
    version: 1.3.3
    license: BSD
  - name: numpy
    version: 1.21.2
    license: BSD
  - name: scikit-learn
    version: 0.24.2
    license: BSD
  references:
  - https://scikit-learn.org/stable/modules/generated/sklearn.linear_model.LinearRegression.html